Method: customers.v2.Schemas.list

Mengambil semua Skema.

Permintaan HTTP

GET https://cloudidentityscim.googleapis.com/v1/customers/{customerId}/v2/Schemas

URL menggunakan sintaks gRPC Transcoding.

Parameter jalur

Parameter
customerId

string

Wajib. ID pelanggan.

Isi permintaan

Isi permintaan harus kosong.

Isi respons

Pesan respons dari Schema listingan.

Jika berhasil, isi respons memuat data dengan struktur berikut:

Representasi JSON
{
  "schemas": [
    string
  ],
  "resources": [
    {
      object (Schema)
    }
  ],
  "totalResults": integer
}
Kolom
schemas[]

string

Skema untuk resource yang ditampilkan.

resources[]

object (Schema)

Daftar resource yang diminta.

totalResults

integer

Jumlah total hasil.

Cakupan otorisasi

Memerlukan salah satu cakupan OAuth berikut:

  • https://www.googleapis.com/auth/cloud-identity.groups.readonly
  • https://www.googleapis.com/auth/cloud-identity.groups
  • https://www.googleapis.com/auth/cloud-identity
  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/admin.directory.user.readonly
  • https://www.googleapis.com/auth/admin.directory.user

Untuk mengetahui informasi selengkapnya, lihat Panduan otorisasi.